# Google Play Developer API . edits . deobfuscationfiles

## Instance Methods

Uploads the deobfuscation file of the specified APK. If a deobfuscation file already exists, it will be replaced.

### Method Details

`upload(packageName, editId, apkVersionCode, deobfuscationFileType, media_body=None, media_mime_type=None)`

    Uploads the deobfuscation file of the specified APK. If a deobfuscation file already exists, it will be replaced.

    Args:
      packageName: string, Unique identifier of the Android app for which the deobfuscatiuon files are being uploaded; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      apkVersionCode: integer, The version code of the APK whose deobfuscation file is being uploaded. (required)
      deobfuscationFileType: string, A parameter (required)
        Allowed values
          proguard -
      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.
      media_mime_type: string, The MIME type of the media request body, or an instance of a MediaUpload object.

    Returns:
      An object of the form:

        {
        "deobfuscationFile": { # Represents a deobfuscation file.
          "symbolType": "A String", # The type of the deobfuscation file.
        },
      }